@import "@/styles/variables";

.user-list {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
}

.user-list-item {
    @include card-shadow;
    background-color: $white;
    padding: 1.5rem;
    display: grid;
    grid-template:
            "name  email . action action_2"
            "permissions permissions permissions action action_2";
    grid-template-columns: auto auto 1fr auto auto;
    align-items: center;
    row-gap: 0.5rem;
    column-gap: 0.5rem;
}

.user-list-item__name {
    grid-area: name;
    @include paragraph;

    font-weight: 700;
    margin-right: 1rem;
}

.user-list-item__email {
    grid-area: email;
}

.user-list-item__permissions {
    grid-area: permissions;
    @include paragraph-sm;
    display: flex;
}

.user-list-item__action {
    grid-area: action;
}

.user-list-item__secondary_action {
    grid-area: action_2;
}
